php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #6218 Make fails when adding YAZ support
Submitted: 2000-08-17 11:51 UTC Modified: 2007-04-04 20:06 UTC
From: mgrphp3 at cgocable dot net Assigned: mrobinso (profile)
Status: Closed Package: Unknown/Other Function
PHP Version: 4.0 Latest CVS (17/08/2000) OS: RHL6.2
Private report: No CVE-ID: None
 [2000-08-17 11:51 UTC] mgrphp3 at cgocable dot net
Followed the instructions in the php manual for installing
yaz-1.6 from source. Then, installing php,

Configure line was:

./configure --disable-inline --disable-debug \
--with-apxs=/usr/sbin/apxs --with-msql=/usr/local/Hughes \
--with-pgsql=/usr/include/pgsql --enable-ftp --with-zlib \
--with-xml --with-mysql --with-mcrypt=/usr/local/lib \
--with-mhash=/usr/local/lib --with-mcal=/usr/src/libmcal \
--with-imap=/usr/include/imap --with-swf=/usr/local/lib \
--with-interbase=/usr/interbase --with-ldap=/usr \
--enable-wddx --enable-sysvsem --enable-sysvshm \
--with-jpeg-dir=/usr/src/jpeg-6b \
--with-xpm-dir=/usr/X11R6/ --with-t1lib=/usr/local \
--with-gd=/usr/local --enable-bcmath \
--with-pfpro=/usr/local --with-curl=/usr/local \
--with-pspell=/usr/local --with-tiff-dir=/usr/lib \
--with-pdflib=/usr/local --with-yaz=/usr/bin

and shows:
checking for YAZ support... yes
...
creating ext/yaz/Makefile
...

Executing 'make' ends with:

/usr/bin/ld: .libs/libphp4.so: undefined versioned symbol
 name log_file@@GLIBC_2.1
/usr/bin/ld: failed to set dynamic section sizes: Bad value
collect2: ld returned 1 exit status
make[1]: *** [libphp4.la] Error 1
make[1]: Leaving directory `/usr/src/phpdev'
make: *** [all-recursive] Error 1

Removing the yaz flag, php compiles and installs
without any problems.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-09-15 01:13 UTC] dickmeiss@php.net
To remove the conflict we've renamed function log_file
to yaz_log_file in YAZ version 1.7. If the "problem"
goes away by upgrading from version 1.6 to 1.7 we can
close this one.
 [2000-09-15 01:30 UTC] mrobinso@php.net
Ok.
I'll keep an eye on the yaz site for the new version.
Seems 1.6 is all thats available currently. Soon as
1.7 is available I'll install it, and close this
report when all is well. Thanks.



 [2000-11-09 10:44 UTC] sniper@php.net
You have updated glibc? Then you must recompile
every lib again against it. This is no PHP bug.
See #5148.

--Jani
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Oct 26 14:01:26 2020 UTC